MagickCore: quantize.h File Reference

# quantize.h File Reference

`#include "magick/colorspace.h"`

Go to the source code of this file.

## Data Structures
struct | _QuantizeInfo
## Typedefs
typedef struct _QuantizeInfo | QuantizeInfo
## Functions
MagickExport MagickBooleanType | GetImageQuantizeError (Image *)
MagickExport MagickBooleanType | MapImage (Image *, const Image *, const MagickBooleanType)
MagickExport MagickBooleanType | MapImages (Image *, const Image *, const MagickBooleanType)
MagickExport MagickBooleanType | PosterizeImage (Image *, const unsigned long, const MagickBooleanType)
MagickExport MagickBooleanType | QuantizeImage (const QuantizeInfo *, Image *)
MagickExport MagickBooleanType | QuantizeImages (const QuantizeInfo *, Image *)
MagickExport QuantizeInfo * | AcquireQuantizeInfo (const ImageInfo *)
MagickExport QuantizeInfo ** | CloneQuantizeInfo (const QuantizeInfo *)
MagickExport QuantizeInfo *** | DestroyQuantizeInfo (QuantizeInfo *)
MagickExport void | CompressImageColormap (Image *)
MagickExport void | GetQuantizeInfo (QuantizeInfo *)

## Typedef Documentation

typedef struct _QuantizeInfo QuantizeInfo

## Function Documentation

MagickExport QuantizeInfo* AcquireQuantizeInfo | ( | const ImageInfo * |  | ) |

MagickExport QuantizeInfo* * CloneQuantizeInfo | ( | const QuantizeInfo * |  | ) |

MagickExport void CompressImageColormap | ( | Image * |  | ) |

MagickExport QuantizeInfo* * * DestroyQuantizeInfo | ( | QuantizeInfo * |  | ) |

MagickExport MagickBooleanType GetImageQuantizeError | ( | Image * |  | ) |

MagickExport void GetQuantizeInfo | ( | QuantizeInfo * |  | ) |

MagickExport MagickBooleanType MapImage | ( | Image * | ,
|  | const Image * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType MapImages | ( | Image * | ,
|  | const Image * | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType PosterizeImage | ( | Image * | ,
|  | const unsigned long | ,
|  | const | MagickBooleanType |
| ) |  |  |

MagickExport MagickBooleanType QuantizeImage | ( | const QuantizeInfo * | ,
|  | Image * |  |
| ) |  |  |

MagickExport MagickBooleanType QuantizeImages | ( | const QuantizeInfo * | ,
|  | Image * |  |
| ) |  |  |